Index: debian/bitlbee.init
===================================================================
--- debian/bitlbee.init	(revision 84622397b1780e4afa7bd36f0d2f089398ec3597)
+++ debian/bitlbee.init	(revision 5fbec3ddda0e3dcf2c300926978b9b363a77a0f7)
@@ -41,13 +41,5 @@
 	chown bitlbee: /var/run/bitlbee.pid
 	
-	# Clean up after the bug between 1.2-5 and 1.2.1-2 where BitlBee ran
-	# as root. (#494656 and #495877) Fixing this in the postinst script
-	# is not enough since the user will restart his BitlBee after up-
-	# grading the package, and the BitlBee running as root will then
-	# save its settings, re-setting ownership of the file to root.
-	# TODO: Remove this after a few revisions.
-	find /var/lib/bitlbee -uid 0 -name '*.xml' -exec chown bitlbee: {} \;
-
-	start-stop-daemon --start --quiet \
+	start-stop-daemon --start --quiet --pidfile $PIDFILE \
 		--exec $DAEMON -- -p $BITLBEE_PORT -P $PIDFILE $BITLBEE_OPTS
 }
Index: debian/changelog
===================================================================
--- debian/changelog	(revision 84622397b1780e4afa7bd36f0d2f089398ec3597)
+++ debian/changelog	(revision 5fbec3ddda0e3dcf2c300926978b9b363a77a0f7)
@@ -1,2 +1,52 @@
+bitlbee (1.2.5-1) unstable; urgency=low
+
+  * New upstream version.
+  * Fixed issues with server-side MSN nickname corruption. (Closes: #538756)
+  * Debconf translation fixes/additions. (Closes: #541754, #563504)
+
+ -- Wilmer van der Gaast <wilmer@gaast.net>  Wed, 17 Mar 2010 14:59:27 +0000
+
+bitlbee (1.2.4-2) unstable; urgency=low
+
+  * Merging in some changes from bzr-head:
+  * Use libresolv.so where possible. (Closes: #551775)
+  * Some include file changes that make the bitlbee-dev package useful again.
+
+ -- Wilmer van der Gaast <wilmer@gaast.net>  Thu, 19 Nov 2009 23:02:43 +0000
+
+bitlbee (1.2.4-1) unstable; urgency=low
+
+  * New upstream version.
+  * Fixed issues with Yahoo! (Closes: #536178)
+
+ -- Wilmer van der Gaast <wilmer@gaast.net>  Sat, 17 Oct 2009 18:12:45 +0100
+
+bitlbee (1.2.3-2) unstable; urgency=low
+
+  * Fixed bitblee typo in prerm (introduced by NMU 1.2.1-1.1).
+    (Closes: #531287)
+  * Fixed bitlbee.deb dep in bitlbee-dev to deal with binary NMUs.
+    (Closes: #531219)
+  * Fixed free port detection code in debian/config which was a bit limited
+    and also buggy.
+  * Removing code that edits bitlbee.conf from postinst (and chown code in
+    the init script), it's not really necessary anymore; bitlbee may only
+    still run as root if the admin doesn't read conffile diffs.
+    (Closes: #514572)
+  * No longer overwriting port number info in /etc/default/bitlbee with
+    what's in debconf. (Closes: #514148)
+  * Added notes about the above two changes to bitlbee.conf.
+
+ -- Wilmer van der Gaast <wilmer@gaast.net>  Sun, 07 Jun 2009 21:17:39 +0100
+
+bitlbee (1.2.3-1) unstable; urgency=critical
+
+  * New upstream version.
+  * Fixes another account hijacking issue. (Closes: #498159)
+  * Restored --pidfile argument to start-stop-daemon, otherwise the init
+    script fails to restart BitlBee when users are connected.
+
+ -- Wilmer van der Gaast <wilmer@gaast.net>  Sun, 07 Sep 2008 18:53:04 +0100
+
 bitlbee (1.2.2-1) unstable; urgency=critical
 
Index: debian/config
===================================================================
--- debian/config	(revision 84622397b1780e4afa7bd36f0d2f089398ec3597)
+++ debian/config	(revision 5fbec3ddda0e3dcf2c300926978b9b363a77a0f7)
@@ -2,15 +2,21 @@
 
 . /usr/share/debconf/confmodule
+[ -f /etc/default/bitlbee ] && . /etc/default/bitlbee
 
 db_title BitlBee
 
-db_get bitlbee/serveport
-if [ "$RET" = "stillhavetoask" ]; then
-	if netstat -ltn | grep ':6667' 2> /dev/null > /dev/null; then
-		port=6668;
-	else
-		port=6667;
+if [ -n "$BITLBEE_PORT" ]; then
+	db_set bitlbee/serveport "$BITLBEE_PORT"
+else
+	db_get bitlbee/serveport
+	if [ "$RET" = "stillhavetoask" ]; then
+		listens=$(netstat -ltn | awk '{print $4}')
+		for port in 6667 6666 6668 6669; do
+			if [ $(expr "$listens " : ".*:$port\s") = "0" ]; then
+				break
+			fi
+		done
+		db_set bitlbee/serveport $port;
 	fi
-	db_set bitlbee/serveport $port;
 fi
 
Index: debian/control
===================================================================
--- debian/control	(revision 84622397b1780e4afa7bd36f0d2f089398ec3597)
+++ debian/control	(revision 5fbec3ddda0e3dcf2c300926978b9b363a77a0f7)
@@ -19,5 +19,5 @@
 Package: bitlbee-dev
 Architecture: all
-Depends: bitlbee (= ${binary:Version})
+Depends: bitlbee (>= ${source:Version}), bitlbee (<< ${source:Version}.1~)
 Description: An IRC to other chat networks gateway
  This program can be used as an IRC server which forwards everything you
Index: debian/patches/bitlbee.conf.diff
===================================================================
--- debian/patches/bitlbee.conf.diff	(revision 84622397b1780e4afa7bd36f0d2f089398ec3597)
+++ debian/patches/bitlbee.conf.diff	(revision 5fbec3ddda0e3dcf2c300926978b9b363a77a0f7)
@@ -1,13 +1,22 @@
-=== modified file 'bitlbee.conf'
---- debian/bitlbee/etc/bitlbee/bitlbee.conf	2008-08-26 22:33:54 +0000
-+++ debian/bitlbee/etc/bitlbee/bitlbee.conf	2008-08-27 23:18:13 +0000
-@@ -23,7 +23,7 @@
+--- debian/bitlbee/etc/bitlbee/bitlbee.conf	2009-06-01 00:20:24.000000000 +0100
++++ debian/bitlbee/etc/bitlbee/bitlbee.conf	2009-06-07 21:16:19.000000000 +0100
+@@ -23,13 +23,18 @@
  ## If BitlBee is started by root as a daemon, it can drop root privileges,
  ## and change to the specified user.
  ##
 -# User = bitlbee
++## DEBIAN NOTE: Without this, BitlBee will run as root!
++##
 +User = bitlbee
  
  ## DaemonPort/DaemonInterface:
  ##
-
+ ## For daemon mode, you can specify on what interface and port the daemon
+ ## should be listening for connections.
+ ##
++## DEBIAN NOTE: The init script passes the -p flag to use the port number
++## set using debconf, this overrides the DaemonPort setting here.
++##
+ # DaemonInterface = 0.0.0.0
+ # DaemonPort = 6667
+ 
Index: debian/po/POTFILES.in
===================================================================
--- debian/po/POTFILES.in	(revision 84622397b1780e4afa7bd36f0d2f089398ec3597)
+++ debian/po/POTFILES.in	(revision 5fbec3ddda0e3dcf2c300926978b9b363a77a0f7)
@@ -1,1 +1,1 @@
-[type: gettext/rfc822deb] bitlbee.templates.master
+[type: gettext/rfc822deb] templates
Index: debian/po/ru.po
===================================================================
--- debian/po/ru.po	(revision 5fbec3ddda0e3dcf2c300926978b9b363a77a0f7)
+++ debian/po/ru.po	(revision 5fbec3ddda0e3dcf2c300926978b9b363a77a0f7)
@@ -0,0 +1,47 @@
+# translation of ru.po to Russian
+#
+#    Translators, if you are not familiar with the PO format, gettext
+#    documentation is worth reading, especially sections dedicated to
+#    this format, e.g. by running:
+#         info -n '(gettext)PO Files'
+#         info -n '(gettext)Header Entry'
+#    Some information specific to po-debconf are available at
+#            /usr/share/doc/po-debconf/README-trans
+#         or http://www.debian.org/intl/l10n/po-debconf/README-trans#
+#    Developers do not need to manually edit POT or PO files.
+#
+# Yuri Kozlov <yuray@komyakino.ru>, 2009.
+msgid ""
+msgstr ""
+"Project-Id-Version: bitlbee 1.2.3-2\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2004-09-25 18:12+0200\n"
+"PO-Revision-Date: 2009-08-05 20:43+0400\n"
+"Last-Translator: Yuri Kozlov <yuray@komyakino.ru>\n"
+"Language-Team: Russian <debian-l10n-russian@lists.debian.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Generator: KBabel 1.11.4\n"
+"Plural-Forms:  nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
+
+#. Type: string
+#. Description
+#: ../bitlbee.templates.master:4
+msgid "On what TCP port should BitlBee listen for connections?"
+msgstr "Номер порта TCP, на котором BitlBee должен ожидать подключений:"
+
+#. Type: string
+#. Description
+#: ../bitlbee.templates.master:4
+msgid ""
+"BitlBee normally listens on the regular IRC port, 6667. This might not be a "
+"very good idea when you're running a real IRC daemon as well. 6668 might be "
+"a good alternative. Leaving this value blank means that BitlBee will not be "
+"run automatically."
+msgstr ""
+"Обычно, BitlBee прослушивает штатный порт IRC, 6667. Это может быть "
+"не лучшим решением, если у вас также запущена служба IRC. Хорошей "
+"альтернативой является номер 6668. Если оставить поле пустым, то "
+"BitlBee не будет запускаться автоматически."
+
Index: debian/postinst
===================================================================
--- debian/postinst	(revision 84622397b1780e4afa7bd36f0d2f089398ec3597)
+++ debian/postinst	(revision 5fbec3ddda0e3dcf2c300926978b9b363a77a0f7)
@@ -33,5 +33,5 @@
 ## /etc/default/bitlbee: Auto-generated/updated script.
 ##
-## Don't edit this line, use dpkg-reconfigure bitlbee
+## If running in (fork)daemon mode, listen on this TCP port.
 BITLBEE_PORT="$PORT"
 
@@ -61,11 +61,4 @@
 	else
 		mv /usr/share/bitlbee/help.upgrading /usr/share/bitlbee/help.txt
-	fi
-fi
-
-if ! grep -qi '^User *= *' /etc/bitlbee/bitlbee.conf; then
-	echo 'Updating configuration file, enabling User-setting...'
-	if ! sed -i -e 's/# *User *= *.*/User = bitlbee/i' /etc/bitlbee/bitlbee.conf; then
-		echo 'Failed! BitlBee may run as root now, please check your configs.'
 	fi
 fi
Index: debian/prerm
===================================================================
--- debian/prerm	(revision 84622397b1780e4afa7bd36f0d2f089398ec3597)
+++ debian/prerm	(revision 5fbec3ddda0e3dcf2c300926978b9b363a77a0f7)
@@ -11,5 +11,5 @@
 else
 	if which invoke-rc.d >/dev/null 2>&1; then
-		invoke-rc.d bitblee stop || exit 0
+		invoke-rc.d bitlbee stop || exit 0
 	else
 		/etc/init.d/bitlbee stop || exit 0
